Bug 199317 - Enable mnemonics in popup menu for some platform apps
Enable mnemonics in popup menu for some platform apps
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Actions
7.1
All All
: P2 (vote)
: 7.1
Assigned To: Jaroslav Tulach
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks: 184891
  Show dependency treegraph
 
Reported: 2011-06-09 16:17 UTC by Jaroslav Tulach
Modified: 2011-06-16 19:55 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2011-06-09 16:17:54 UTC
Some applications built on top of NetBeans Platform would like to show mnemonics in popup menus (shown by the platform). Right now there is no way to do so, mnemonics are always hidden. Let's allow such applications to control this behavior via branding:

http://netbeans.org/bugzilla/attachment.cgi?id=108774

sample application:
http://netbeans.org/bugzilla/attachment.cgi?id=108775
Comment 1 Jesse Glick 2011-06-09 17:57:45 UTC
Special bundle keys like this must be prefixed with #NOI18N to prevent e.g. bundle debug mode from touching them.
Comment 2 Jaroslav Tulach 2011-06-14 14:38:32 UTC
I'll add the NOI18N key and integrate on Thursday.
Comment 3 Jaroslav Tulach 2011-06-16 05:31:49 UTC
core-main#8581b5f5fb16
Comment 4 Quality Engineering 2011-06-16 19:55:51 UTC
Integrated into 'main-golden', will be available in build *201106161124* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/8581b5f5fb16
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #199317: Application branding can enable mnemonics in popup menus when using Actions.connect


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo